%define  modulename Telethon
%def_without test

Name:    python3-module-%modulename
Version: 1.39.0
Release: alt1

Summary: Pure Python 3 Telegram client library

License: MIT
Group:   Development/Python3
URL:     https://github.com/LonamiWebs/Telethon

Packager: Vitaly Lipatov <lav@altlinux.ru>

# Source-url: https://github.com/LonamiWebs/Telethon/archive/v%version.tar.gz
Source:  %modulename-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-intro >= 2.2.4
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools

# generated by 'epm restore --dry-run' from Telethon/requirements.txt
%py3_use pyaes
%py3_use rsa


%if_with test
# generated by epm --restore --dry-run from Telethon-1.17.0/dev-requirements.txt
%py3_buildrequires pytest
%py3_buildrequires pytest-cov
%py3_buildrequires pytest_asyncio
%endif

%description
Telethon is Telegram client implementation in Python 3
which uses the latest available API of Telegram.

%prep
%setup -n %modulename-%version

%build
python3 setup.py gen tl errors
%python3_build

%install
%python3_install
%python3_prune

# generated
test -r %buildroot%python3_sitelibdir/telethon/tl/alltlobjects.py
test -r %buildroot%python3_sitelibdir/telethon/errors/rpcerrorlist.py

%if_with test
%check
%python3_test
%endif

%files
%python3_sitelibdir/telethon/
%python3_sitelibdir/%modulename-*.egg-info/

%changelog
* Tue Mar 18 2025 Vitaly Lipatov <lav@altlinux.ru> 1.39.0-alt1
- new version 1.39.0 (with rpmrb script)

* Sun Feb 18 2024 Vitaly Lipatov <lav@altlinux.ru> 1.34.0-alt1
- new version 1.34.0 (with rpmrb script)

* Sun Oct 01 2023 Vitaly Lipatov <lav@altlinux.ru> 1.30.3-alt1
- new version 1.30.3 (with rpmrb script)

* Tue Aug 01 2023 Vitaly Lipatov <lav@altlinux.ru> 1.29.2-alt1
- new version 1.29.2 (with rpmrb script)
- add missed requires rsa (ALT bug 45531)

* Sun Apr 23 2023 Vitaly Lipatov <lav@altlinux.ru> 1.28.5-alt1
- new version 1.28.5 (with rpmrb script)

* Sun Mar 12 2023 Vitaly Lipatov <lav@altlinux.ru> 1.27.0-alt1
- new version 1.27.0 (with rpmrb script)

* Fri Dec 30 2022 Vitaly Lipatov <lav@altlinux.ru> 1.26.1-alt1
- new version 1.26.1 (with rpmrb script)

* Sat Sep 10 2022 Vitaly Lipatov <lav@altlinux.ru> 1.25.0-alt1
- new version 1.25.0 (with rpmrb script)

* Mon Apr 04 2022 Vitaly Lipatov <lav@altlinux.ru> 1.24.0-alt1
- new version 1.24.0 (with rpmrb script)

* Tue Jul 06 2021 Vitaly Lipatov <lav@altlinux.ru> 1.21.1-alt1
- new version 1.21.1 (with rpmrb script)

* Wed Nov 04 2020 Vitaly Lipatov <lav@altlinux.ru> 1.17.0-alt1
- new version 1.17.0 (with rpmrb script)
- drop tests subdir, add test support

* Wed Apr 25 2018 Vitaly Lipatov <lav@altlinux.ru> 0.18.3-alt1
- new version 0.18.3 (with rpmrb script)

* Sun Dec 24 2017 Vitaly Lipatov <lav@altlinux.ru> 0.15.5-alt2
- enable generate files

* Sun Dec 24 2017 Vitaly Lipatov <lav@altlinux.ru> 0.15.5-alt1
- Initial build for Sisyphus
